CHGRP(1)

NUME
chgrp - change group ownership

REZUMAT
chgrp [OPȚIUNE]... GRUP FIȘIER...
chgrp [OPȚIUNE]... --reference=FIȘIER-REF FIȘIER...

DESCRIERE

Change the group of each FILE to GROUP. With --reference, change the group of each FILE to that of RFILE.

-c, --changes
    like verbose but report only when a change is made

-f, --silent, --quiet
    suprimă mesajele de eroare

-v, --verbose
    output a diagnostic for every file processed

--dereference
    affect the referent of each symbolic link (this is the default), rather than the symbolic link itself

-h, --no-dereference
    affect symbolic links instead of any referenced file (useful only on systems that can change the ownership of a symlink)

--no-preserve-root
    do not treat '/' specially (the default)

--preserve-root
    fail to operate recursively on '/'

--reference=FIȘIER-REF
    use RFILE's group rather than specifying a GROUP value

-R, --recursive
    operate on files and directories recursively

Următoarele opțiuni modifică traversarea unei ierarhii cînd este specificată și opțiunea -R. Dacă este specificată mai mult de una, numai cea finală are efect.

-H  dacă un argument în linia de comandă este o legătură simbolică la un dosar, traverseaz-o

-L  traversează fiecare legătură simbolică la un dosar întîlnită

-P  nu traversa nicio legătură simbolică (implicit)

--help
    afișează acest ajutor și ieși

--version
    afișează informații de versiune și ieși

EXEMPLE

chgrp staff /u
    Schimbă grupul lui /u la „staff”.

chgrp -hR staff /u
    Schimbă grupul lui /u și al subdosarelor la „staff”.

AUTOR
Scris de David MacKenzie și Jim Meyering.

RAPORTĂ O EROARE
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sînteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

VEDEȚI ȘI
chown(1), chown(2)

Documentatie completa: <https://www.gnu.org/software/coreutils/chgrp>
sau disponibil local prin: info '(coreutils) chgrp invocation'

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Laurențiu Buzdugan <lbuz@rolix.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.